<?php

declare(strict_types=1);

namespace App\Scolarite\Domain\Exception;

use App\Scolarite\Domain\Model\Grade\AppreciationTemplateId;
use DomainException;

use function sprintf;

final class NonProprietaireDuModeleException extends DomainException
{
    public static function withId(AppreciationTemplateId $id): self
    {
        return new self(sprintf(
            'Vous n\'êtes pas le propriétaire du modèle d\'appréciation "%s".',
            $id,
        ));
    }
}
